<?xml version="1.0"?>
<diagram author="Yentl Van Tendeloo" name="MvK Server interface">
    <description>
        MvK Server interface that receives events through the Socket2Event layer.
        Incoming messages are processed as HTTP requests and are forwarded to the MvK.
    </description>

    <top>
        import urlparse
        import urllib
        import sys
        import traceback
        import json

        from modelverse_state.main import ModelverseState
    </top>

    <inport name="socket_in"/>
    <outport name="socket_out"/>

    <class src="classes/Server.xml" default="true"/>
    <class src="classes/Socket.xml"/>
</diagram>
